petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGetSolution

Returns the solution at the present timestep. It is valid to call this routine inside the function that you are evaluating in order to move to the new timestep. This vector not changed until the solution at the next timestep has been calculated.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetSolution(TS ts,Vec *v)

Not Collective, but Vec returned is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

v -the vector containing the solution

Note: If you used TSSetExactFinalTime(ts,TS_EXACTFINALTIME_MATCHSTEP); this does not return the solution at the requested final time. It returns the solution at the next timestep.

### See Also

TSGetTimeStep(), TSGetTime(), TSGetSolveTime()

### Keywords

TS, timestep, get, solution

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex14.c.html